Index: src/UIElements/CommandLineUI/CommandLineUIFactory.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineUIFactory.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/CommandLineUI/CommandLineUIFactory.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * CommandLineUIFactory.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/UIElements/CommandLineUI/CommandLineWindow.cpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/CommandLineUI/CommandLineWindow.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * CommandLineWindow.cpp
@@ -5,4 +12,9 @@
  *      Author: heber
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/UIElements/CommandLineUI/CommandLineWindow.hpp
===================================================================
--- src/UIElements/CommandLineUI/CommandLineWindow.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/CommandLineUI/CommandLineWindow.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -25,5 +25,5 @@
   void populateAnalysisActions();
   void populateAtomActions();
-  void populateCmdActions();
+  void populateCommandActions();
   void populateFragmentationActions();
   void populateMoleculeActions();
Index: src/UIElements/Dialog.cpp
===================================================================
--- src/UIElements/Dialog.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Dialog.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * Dialog.cpp
@@ -6,4 +13,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -11,11 +23,12 @@
 #include "Actions/ValueStorage.hpp"
 
-#include "verbose.hpp"
+#include "Helpers/Verbose.hpp"
 #include "atom.hpp"
+#include "Box.hpp"
 #include "element.hpp"
 #include "molecule.hpp"
-#include "vector.hpp"
-#include "Matrix.hpp"
-#include "Box.hpp"
+#include "LinearAlgebra/BoxVector.hpp"
+#include "LinearAlgebra/Vector.hpp"
+#include "LinearAlgebra/Matrix.hpp"
 
 using namespace std;
@@ -72,4 +85,99 @@
 }
 
+template <> void Dialog::query<void *>(const char *token, std::string description)
+{
+  queryEmpty(token, description);
+}
+
+template <> void Dialog::query<bool>(const char *token, std::string description)
+{
+  queryBoolean(token, description);
+}
+
+template <> void Dialog::query<int>(const char *token, std::string description)
+{
+  queryInt(token, description);
+}
+
+template <> void Dialog::query< std::vector<int> >(const char *token, std::string description)
+{
+  queryInts(token, description);
+}
+
+template <> void Dialog::query<double>(const char *token, std::string description)
+{
+  queryDouble(token, description);
+}
+
+template <> void Dialog::query< std::vector<double> >(const char *token, std::string description)
+{
+  queryDoubles(token, description);
+}
+
+template <> void Dialog::query<std::string>(const char *token, std::string description)
+{
+  queryString(token, description);
+}
+
+template <> void Dialog::query< std::vector<std::string> >(const char *token, std::string description)
+{
+  queryStrings(token, description);
+}
+
+template <> void Dialog::query<atom *>(const char *token, std::string description)
+{
+  queryAtom(token, description);
+}
+
+template <> void Dialog::query< std::vector<atom *> >(const char *token, std::string description)
+{
+  queryAtoms(token, description);
+}
+
+template <> void Dialog::query<molecule *>(const char *token, std::string description)
+{
+  queryMolecule(token, description);
+}
+
+template <> void Dialog::query< std::vector<molecule *> >(const char *token, std::string description)
+{
+  queryMolecules(token, description);
+}
+
+template <> void Dialog::query<Vector>(const char *token, std::string description)
+{
+  queryVector(token, false, description);
+}
+
+template <> void Dialog::query< std::vector<Vector> >(const char *token, std::string description)
+{
+  queryVectors(token, false, description);
+}
+
+template <> void Dialog::query<BoxVector>(const char *token, std::string description)
+{
+  queryVector(token, true, description);
+}
+
+template <> void Dialog::query< std::vector<BoxVector> >(const char *token, std::string description)
+{
+  queryVectors(token, true, description);
+}
+
+template <> void Dialog::query<Box>(const char *token, std::string description)
+{
+  queryBox(token, description);
+}
+
+template <> void Dialog::query<const element *>(const char *token, std::string description)
+{
+  queryElement(token, description);
+}
+
+template <> void Dialog::query< std::vector<const element *> >(const char *token, std::string description)
+{
+  queryElements(token, description);
+}
+
 /****************** Query types Infrastructure **************************/
 
Index: src/UIElements/Dialog.hpp
===================================================================
--- src/UIElements/Dialog.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Dialog.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -14,5 +14,5 @@
 
 #include "Box.hpp"
-#include "vector.hpp"
+#include "LinearAlgebra/Vector.hpp"
 
 class atom;
@@ -37,4 +37,6 @@
   Dialog();
   virtual ~Dialog();
+
+  template <class T> void query(const char *, std::string = "");
 
   virtual void queryEmpty(const char *, std::string = "")=0;
@@ -255,5 +257,5 @@
     virtual void setResult();
   protected:
-    element * tmp;
+    const element * tmp;
   };
 
@@ -265,6 +267,6 @@
     virtual void setResult();
   protected:
-    element *temp;
-    std::vector<element *> tmp;
+    const element *temp;
+    std::vector<const element *> tmp;
   };
 
Index: src/UIElements/MainWindow.cpp
===================================================================
--- src/UIElements/MainWindow.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/MainWindow.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * Window.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Makefile.am	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -5,8 +5,4 @@
 AM_LDFLAGS = $(CPPUNIT_LIBS) -ldl
 AM_CXXFLAGS = $(CPPUNIT_CFLAGS)
-
-noinst_LIBRARIES = libMolecuilderUI.a
-libMolecuilderUI_a_SOURCES = ${UISOURCE} ${UIHEADER}
-libMolecuilderUI_a_LIBADD = ../Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la
 
 VIEWSOURCE = \
@@ -79,3 +75,52 @@
   CommandLineUI/CommandLineWindow.hpp
 
+lib_LTLIBRARIES = libMolecuilderUI-@MOLECUILDER_API_VERSION@.la
+libMolecuilderUI_includedir = $(includedir)/molecuilder-$(MOLECUILDER_API_VERSION)/Actions/
+libMolecuilderUI_LIBS = \
+	Actions/libMolecuilderActions-@MOLECUILDER_API_VERSION@.la
 
+nobase_libMolecuilderUI_include_HEADERS = ${UIHEADER}
+
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libMolecuilderUI_@MOLECUILDER_API_VERSION@_la_SOURCES = ${UISOURCE}
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+libMolecuilderUI_@MOLECUILDER_API_VERSION@_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+libMolecuilderUI_libincludedir = $(libdir)/molecuilder-$(MOLECUILDER_API_VERSION)/include
+nodist_libMolecuilderUI_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = $(top_builddir)/molecuilder-$(MOLECUILDER_API_VERSION).pc
+
+unity.cpp:
+	echo "" >  unity.cpp; \
+	list='$(UISOURCE)'; for file in $$list; do \
+	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
+	done;
+	
+MOSTLYCLEANFILES = unity.cpp
Index: src/UIElements/Menu/ActionMenuItem.cpp
===================================================================
--- src/UIElements/Menu/ActionMenuItem.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/ActionMenuItem.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * ActionMenuItem.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/UIElements/Menu/DisplayMenuItem.cpp
===================================================================
--- src/UIElements/Menu/DisplayMenuItem.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/DisplayMenuItem.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * DisplayMenuItem.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -16,7 +28,7 @@
 
 DisplayMenuItem::DisplayMenuItem(Menu* _menu, StringView *_view):
-MenuItem('\0',"",_menu),
-view(_view),
-title("")
+  MenuItem('\0',"",_menu),
+  view(_view),
+  title("")
 {
 }
Index: src/UIElements/Menu/Menu.cpp
===================================================================
--- src/UIElements/Menu/Menu.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/Menu.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * Menu.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
Index: src/UIElements/Menu/MenuItem.cpp
===================================================================
--- src/UIElements/Menu/MenuItem.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/MenuItem.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * MenuItem.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -18,6 +30,6 @@
  */
 MenuItem::MenuItem(char _trigger, const char* _description,Menu* menu) :
-trigger(_trigger),
-added(false)
+  trigger(_trigger),
+  added(false)
 {
   description = new string(_description);
Index: src/UIElements/Menu/QT4/QTMenu.cpp
===================================================================
--- src/UIElements/Menu/QT4/QTMenu.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/QT4/QTMenu.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * QTMenu.cpp
@@ -6,7 +13,15 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Menu/QT4/QTMenu.hpp"
 
 #include <Qt/qaction.h>
+
+#include "Helpers/MemDebug.hpp"
+
 #include "Menu/MenuItem.hpp"
 
Index: src/UIElements/Menu/SubMenuItem.cpp
===================================================================
--- src/UIElements/Menu/SubMenuItem.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/SubMenuItem.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * SubMenuItem.cpp
@@ -6,4 +13,9 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "Helpers/MemDebug.hpp"
 
@@ -11,6 +23,6 @@
 
 SubMenuItem::SubMenuItem(char _trigger,const char* _description,Menu* _parent, Menu* _theMenu) :
-MenuItem(_trigger,_description,_parent),
-theMenu(_theMenu)
+  MenuItem(_trigger,_description,_parent),
+  theMenu(_theMenu)
 {
 }
Index: src/UIElements/Menu/TextMenu.cpp
===================================================================
--- src/UIElements/Menu/TextMenu.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/TextMenu.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * TextMenu.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "Helpers/MemDebug.hpp"
@@ -113,6 +125,6 @@
 
 TextMenu::LeaveAction::LeaveAction(TextMenu* _menu) :
-Action(nameBase+_menu->getTitle()),
-menu(_menu)
+  Action(nameBase+_menu->getTitle()),
+  menu(_menu)
 {}
 
@@ -126,4 +138,7 @@
   return false;
 }
+
+void TextMenu::LeaveAction::getParametersfromValueStorage()
+{}
 
 Dialog* TextMenu::LeaveAction::fillDialog(Dialog *dialog){
Index: src/UIElements/Menu/TextMenu.hpp
===================================================================
--- src/UIElements/Menu/TextMenu.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/Menu/TextMenu.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -10,5 +10,5 @@
 
 #include <list>
-#include <ostream>
+#include <iosfwd>
 #include <string>
 
@@ -38,4 +38,5 @@
     virtual Dialog* fillDialog(Dialog *dialog);
   private:
+    virtual void getParametersfromValueStorage();
     virtual Action::state_ptr performCall();
     virtual Action::state_ptr performUndo(Action::state_ptr);
Index: src/UIElements/QT4/QTDialog.cpp
===================================================================
--- src/UIElements/QT4/QTDialog.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/QT4/QTDialog.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * QTDialog.cpp
@@ -6,5 +13,12 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "UIElements/QT4/QTDialog.hpp"
+
+#include <boost/lexical_cast.hpp>
 
 #include <string>
@@ -33,5 +47,5 @@
 #include "Descriptors/AtomIdDescriptor.hpp"
 #include "Descriptors/MoleculeIdDescriptor.hpp"
-#include "Matrix.hpp"
+#include "LinearAlgebra/Matrix.hpp"
 #include "Box.hpp"
 
@@ -84,25 +98,25 @@
 /************************** Query Infrastructure ************************/
 
-void QTDialog::queryEmpty(char const*, string){
+void QTDialog::queryEmpty(const char*, std::string){
   // TODO
   ASSERT(false, "Not implemented yet");
 }
 
-void QTDialog::queryBoolean(char const*,string){
+void QTDialog::queryBoolean(const char*,string){
   // TODO
   ASSERT(false, "Not implemented yet");
 }
 
-void QTDialog::queryAtom(char const*, string){
+void QTDialog::queryAtom(const char*, std::string){
   // TODO
   ASSERT(false, "Not implemented yet");
 }
 
-void QTDialog::queryAtoms(char const*, string){
+void QTDialog::queryAtoms(const char*, std::string){
   // TODO
   ASSERT(false, "Not implemented yet");
 }
 
-void QTDialog::queryBox(char const*, string){
+void QTDialog::queryBox(const char*, std::string){
   // TODO
   ASSERT(false, "Not implemented yet");
@@ -158,9 +172,9 @@
 }
 
-void QTDialog::queryElement(const char* title, string){
+void QTDialog::queryElement(const char* title, std::string){
   registerQuery(new ElementQTQuery(title,inputLayout,this));
 }
 
-void QTDialog::queryElements(const char* title, string){
+void QTDialog::queryElements(const char* title, std::string){
   // TODO
   ASSERT(false, "Not implemented yet");
@@ -339,5 +353,5 @@
 }
 
-// All values besides the empty string are valid
+// All values besides the empty std::string are valid
 bool QTDialog::StringQTQuery::handle()
 {
@@ -386,9 +400,9 @@
 }
 
-// All values besides the empty string are valid
+// All values besides the empty std::string are valid
 bool QTDialog::StringsQTQuery::handle()
 {
   // dissect by ","
-  string::iterator olditer = temp.begin();
+  std::string::iterator olditer = temp.begin();
   for(string::iterator iter = temp.begin(); iter != temp.end(); ++iter) {
     if (*iter == ' ') {
@@ -415,5 +429,5 @@
       iter != molecules.end();
       ++iter) {
-    stringstream sstr;
+    std::stringstream sstr;
     sstr << (*iter)->IndexNr << "\t" << (*iter)->getName();
     inputBox->addItem(QString(sstr.str().c_str()),QVariant((*iter)->IndexNr));
@@ -451,5 +465,5 @@
       iter != molecules.end();
       ++iter) {
-    stringstream sstr;
+    std::stringstream sstr;
     sstr << (*iter)->IndexNr << "\t" << (*iter)->getName();
     inputBox->addItem(QString(sstr.str().c_str()),QVariant((*iter)->IndexNr));
@@ -479,6 +493,4 @@
     parent(_parent)
 {
-  const Matrix& M = World::getInstance().getDomain().getM();
-  const char *coords[3] = {"x:","y:","z:"};
   mainLayout= new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
@@ -513,6 +525,4 @@
     parent(_parent)
 {
-  const Matrix& M = World::getInstance().getDomain().getM();
-  const char *coords[3] = {"x:","y:","z:"};
   mainLayout= new QHBoxLayout();
   titleLabel = new QLabel(QString(getTitle().c_str()));
@@ -555,6 +565,6 @@
       ++iter)
   {
-    stringstream sstr;
-    sstr << (*iter).first << "\t" << (*iter).second->name;
+    std::stringstream sstr;
+    sstr << (*iter).first << "\t" << (*iter).second->getName();
     inputBox->addItem(QString(sstr.str().c_str()),QVariant((*iter).first));
   }
@@ -590,6 +600,6 @@
       ++iter)
   {
-    stringstream sstr;
-    sstr << (*iter).first << "\t" << (*iter).second->name;
+    std::stringstream sstr;
+    sstr << (*iter).first << "\t" << (*iter).second->getName();
     inputBox->addItem(QString(sstr.str().c_str()),QVariant((*iter).first));
   }
@@ -818,5 +828,5 @@
 }
 
-ElementQTQueryPipe::ElementQTQueryPipe(element **_content, QTDialog *_dialog, QComboBox *_theBox) :
+ElementQTQueryPipe::ElementQTQueryPipe(const element **_content, QTDialog *_dialog, QComboBox *_theBox) :
   content(_content),
   dialog(_dialog),
@@ -834,5 +844,5 @@
 }
 
-ElementsQTQueryPipe::ElementsQTQueryPipe(std::vector<element *>*_content, QTDialog *_dialog, QComboBox *_theBox) :
+ElementsQTQueryPipe::ElementsQTQueryPipe(std::vector<const element *>*_content, QTDialog *_dialog, QComboBox *_theBox) :
   content(_content),
   dialog(_dialog),
@@ -846,5 +856,5 @@
   QVariant data = theBox->itemData(newIndex);
   int idx = data.toInt();
-  element *elemental = World::getInstance().getPeriode()->FindElement(idx);
+  const element *elemental = World::getInstance().getPeriode()->FindElement(idx);
   if(elemental)
     (*content).push_back(elemental);
Index: src/UIElements/QT4/QTDialog.hpp
===================================================================
--- src/UIElements/QT4/QTDialog.hpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/QT4/QTDialog.hpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -451,5 +451,5 @@
   Q_OBJECT
 public:
-  ElementQTQueryPipe(element **_content, QTDialog *_dialog, QComboBox *_theBox);
+  ElementQTQueryPipe(const element **_content, QTDialog *_dialog, QComboBox *_theBox);
   virtual ~ElementQTQueryPipe();
 
@@ -458,5 +458,5 @@
 
 private:
-  element **content;
+  const element **content;
   QTDialog *dialog;
   QComboBox *theBox;
@@ -466,5 +466,5 @@
   Q_OBJECT
 public:
-  ElementsQTQueryPipe(std::vector<element *>*_content, QTDialog *_dialog, QComboBox *_theBox);
+  ElementsQTQueryPipe(std::vector<const element *>*_content, QTDialog *_dialog, QComboBox *_theBox);
   virtual ~ElementsQTQueryPipe();
 
@@ -473,5 +473,5 @@
 
 private:
-  std::vector<element *>*content;
+  std::vector<const element *>*content;
   QTDialog *dialog;
   QComboBox *theBox;
Index: src/UIElements/QT4/QTMainWindow.cpp
===================================================================
--- src/UIElements/QT4/QTMainWindow.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/QT4/QTMainWindow.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * QTMainWindow.cpp
@@ -5,4 +12,9 @@
  *      Author: crueger
  */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 #include "QTMainWindow.hpp"
@@ -19,7 +31,9 @@
 #include<boost/bind.hpp>
 
+#include "Helpers/MemDebug.hpp"
+
 #include "atom.hpp"
 #include "molecule.hpp"
-#include "verbose.hpp"
+#include "Helpers/Verbose.hpp"
 #include "Actions/Action.hpp"
 #include "Actions/ActionRegistry.hpp"
@@ -32,6 +46,4 @@
 #include "Views/QT4/QTMoleculeView.hpp"
 #include "Views/QT4/QTStatusBar.hpp"
-#include "Helpers/MemDebug.hpp"
-
 
 using namespace std;
Index: src/UIElements/QT4/QTUIFactory.cpp
===================================================================
--- src/UIElements/QT4/QTUIFactory.cpp	(revision 45924c1c4900321275c7d22c75650d2dcff4a2c1)
+++ src/UIElements/QT4/QTUIFactory.cpp	(revision a6e6b5ce7c3675b17615ce9fc4f938f0ccc32ef7)
@@ -1,2 +1,9 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
 /*
  * QTUIFactory.cpp
@@ -6,25 +13,33 @@
  */
 
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include <iostream>
 #include <cassert>
 
-using namespace std;
+#include <qapplication.h>
 
-#include <qapplication.h>
 
 #include "UIElements/QT4/QTUIFactory.hpp"
 #include "UIElements/QT4/QTMainWindow.hpp"
 #include "UIElements/QT4/QTDialog.hpp"
+
+#include "Helpers/MemDebug.hpp"
+
 #include "version.h"
 #include "defs.hpp"
-#include "Helpers/MemDebug.hpp"
 
-QTUIFactory::QTUIFactory()
+using namespace std;
+
+QTUIFactory::QTUIFactory() :
+  argc(1)
 {
   // For now we just fake the command line parameters to make QT happy
-  argc=1;
   argv = new char*[1];
   argv[0] = new char[256];
-  strcpy(argv[0],ESPACKVersion);
+  strcpy(argv[0],MOLECUILDERVERSION);
   app = new QApplication(argc,argv);
 }
